Subject: Re: [PATCH v2 14/16] repack: implement incremental MIDX repacking

From: Taylor Blau <[email-masked]>
Date: Wed, 29 Apr 2026 19:39:26 -0400

On Wed, Apr 29, 2026 at 04:10:17AM -0400, Jeff King wrote:
> On Tue, Apr 21, 2026 at 04:37:54PM -0400, Taylor Blau wrote:
>
> > Unlike the default mode which writes a single flat MIDX, the incremental
> > mode constructs a compaction plan that determines which MIDX layers to
> > write, compact, or copy, and then executes each step using `git
> > multi-pack-index` subcommands with the --checksum-only flag.
>
> This should be --no-write-chain-file, I think.
>
> Ditto here:

Yup, thanks for spotting.

> > After writing the new layer, the strategy is evaluated among the
> > existing MIDX layers in order from oldest to newest. Each step that
> > writes a new MIDX layer uses "--checksum-only" to avoid updating the
> > multi-pack-index-chain file. After all steps are complete, the new chain
> > file is written and then atomically moved into place.
>
> In the code I think it is all good, though:
>
> > +	strvec_pushl(&cmd.args, "--incremental", "--no-write-chain-file", NULL);

Heh. Clearly I 'git grep'd through the code, but didn't adjust the
commit messages. These should all be fixed, and now by the end of the
series we have:

    $ git log -p @{u}.. | grep -c ..checksum.only
    0

Thanks,
Taylor